import { FuseNavigation } from 'src/@fuse/types';

export const navigation: FuseNavigation[] = [
  {
    id: 'dashboard',
    title: '대시보드',
    translate: 'NAV.DASHBOARD',
    type: 'item',
    icon: 'dashboard',
    url: '/dashboard'
  },
  {
    id: 'statics',
    title: '통계보기',
    translate: 'NAV.STATICS',
    type: 'item',
    icon: 'assessment',
    url: '/pages/statics'
  },
  {
    id: 'users',
    title: '회원 관리',
    translate: 'NAV.USERS.TITLE',
    type: 'collapsable',
    children: [
      {
        id: 'user_list',
        title: '회원 리스트',
        translate: 'NAV.USERS.LIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/management/list',
        exactMatch: true
      },
      {
        id: 'user_connect_list',
        title: '현재접속자',
        translate: 'NAV.USERS.CONNECT_LIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/management/connect',
        exactMatch: true
      },
      {
        id: 'user_regist',
        title: '회원가입',
        translate: 'NAV.USERS.REGIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/management/regist'
      },
      {
        id: 'user_fees_management',
        title: '커미션 설정',
        translate: 'NAV.USERS.FEES_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/management/fees'
      },
      {
        id: 'user_attendance_management',
        title: '출석관리',
        translate: 'NAV.USERS.ATTENDANCE_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/management/attendance'
      }
    ]
  },
  {
    id: 'gameManagement',
    title: '게임관리',
    translate: 'NAV.GAME.TITLE',
    type: 'collapsable',
    children: [
      {
        id: 'sportResult_management',
        title: '결과입력 및 수정',
        translate: 'NAV.GAME.SPORT_RESULT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/sport-result'
      },
      {
        id: 'sportMix_management',
        title: '스포츠 조합설정',
        translate: 'NAV.GAME.SPORT_MIX.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/sport-mix'
      },
      {
        id: 'mini_game',
        title: '미니게임',
        translate: 'NAV.GAME.MINI_GAME.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/mini-game'
      },
      {
        id: 'mini_game_management',
        title: '미니게임 관리',
        translate: 'NAV.GAME.MINI_GAME_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/mini-game-settings'
      },
      {
        id: 'excel_regist',
        title: '엑셀등록',
        translate: 'NAV.GAME.EXCEL_REGIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/excel-regist'
      },
      {
        id: 'bet_history',
        title: '배팅내역',
        translate: 'NAV.GAME.BET_HISTORY.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/bet-history'
      },
      {
        id: 'settlement',
        title: '정산하기',
        translate: 'NAV.GAME.SETTLEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/settlement'
      },
      {
        id: 'item_management',
        title: '종목관리',
        translate: 'NAV.GAME.ITEM_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/item-management'
      },
      {
        id: 'league_management',
        title: '리그관리',
        translate: 'NAV.GAME.LEAGUE_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/league-management'
      },
      {
        id: 'except_auto_regist',
        title: '자동등록 제외',
        translate: 'NAV.GAME.EXCEPT_AUTO_REGIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/games/management/except-auto-regist'
      }
    ]
  },
  {
    id: 'deposit_withdrawal_managemnet',
    title: '입출금관리',
    translate: 'NAV.DEPOSIT_WITHDRAWAL.TITLE',
    type: 'collapsable',
    children: [
      {
        id: 'deposit',
        title: '충전관리',
        translate: 'NAV.DEPOSIT_WITHDRAWAL.DEPOST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/moneys/management/deposit'
      },
      {
        id: 'withdrawal',
        title: '환전관리',
        translate: 'NAV.DEPOSIT_WITHDRAWAL.WITHDRAWAL.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/moneys/management/withdrawal'
      },
      {
        id: 'money_log',
        title: '머니 LOG',
        translate: 'NAV.DEPOSIT_WITHDRAWAL.MONEY_LOG.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/moneys/management/money-log'
      },
      {
        id: 'point_log',
        title: '포인트 LOG',
        translate: 'NAV.DEPOSIT_WITHDRAWAL.POINT_LOG.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/moneys/management/point-log'
      },
      {
        id: 'daily_settlement',
        title: '일일정산',
        translate: 'NAV.DEPOSIT_WITHDRAWAL.DAILY_SETTLEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/moneys/management/daily'
      }
    ]
  },
  {
    id: 'info_management',
    title: '정보관리',
    translate: 'NAV.INFO.TITLE',
    type: 'collapsable',
    children: [
      {
        id: 'service_center',
        title: '고객센터 관리',
        translate: 'NAV.INFO.SERVICE_CENTER_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/infos/management/service-center'
      },
      {
        id: 'send_message',
        title: '보낸메세지 관리',
        translate: 'NAV.INFO.SEND_MESSAGE_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/infos/management/send-message'
      },
      {
        id: 'free_board',
        title: '자유게시판 관리',
        translate: 'NAV.INFO.FREE_BOARD_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/infos/management/free'
      },
      {
        id: 'bet_rule',
        title: '배팅규정',
        translate: 'NAV.INFO.BET_RULE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/infos/management/bet-rule'
      },
      {
        id: 'popup_setting',
        title: '팝업창',
        translate: 'NAV.INFO.POPUP_SETTING.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/infos/management/popup-set'
      },
      {
        id: 'main_event_regist',
        title: '메인 이벤트 등록',
        translate: 'NAV.INFO.MAIN_EVENT_REGIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/infos/management/event-regist'
      },
      {
        id: 'notice_board',
        title: '공지사항 관리',
        translate: 'NAV.INFO.NOTICE_BOARD_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/infos/management/notice'
      },
      {
        id: 'board_regist',
        title: '게시판 작성',
        translate: 'NAV.INFO.BOARD_REGIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/infos/management/board-regist'
      }
    ]
  },
  {
    id: 'site_management',
    title: '사이트 관리',
    translate: 'NAV.SITE.TITLE',
    type: 'collapsable',
    children: [
      {
        id: 'default_set',
        title: '기본설정 관리',
        translate: 'NAV.SITE.DEFAULT_SET.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/sites/management/configs'
      },
      {
        id: 'account_separate',
        title: '계좌분리',
        translate: 'NAV.SITE.ACCOUNT_SEPARATE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/sites/management/bank-info'
      },
      {
        id: 'set_bet_amount',
        title: '배팅금액 설정',
        translate: 'NAV.SITE.SET_BET_AMOUNT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/sites/management/bet-amount'
      },
      {
        id: 'block_ip',
        title: '차단 아이피 관리',
        translate: 'NAV.SITE.BLOCK_IP.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/sites/management/block-ip'
      },
      {
        id: 'admin_ip',
        title: '어드민 아이피 관리',
        translate: 'NAV.SITE.ADMIN_IP.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/sites/management/admin-ip'
      },
      {
        id: 'set_level',
        title: '레벨 설정관리',
        translate: 'NAV.SITE.SET_LEVEL.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/sites/management/level'
      }
    ]
  },
  {
    id: 'special_management',
    title: '특수 관리',
    translate: 'NAV.SPECIAL.TITLE',
    type: 'collapsable',
    children: [
      {
        id: 'roulette_coupon',
        title: '룰렛쿠폰관리',
        translate: 'NAV.SPECIAL.ROULETTE_COUPON.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/specials/management/coupon'
      },
      {
        id: 'fix_bonus',
        title: '고정 보너스',
        translate: 'NAV.SPECIAL.FIX_BONUS.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/specials/management/bonus'
      },
      {
        id: 'mini_game_martin',
        title: '미니게임 마틴관리',
        translate: 'NAV.SPECIAL.MINI_GAME_MARTIN.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/specials/management/martin'
      },
      {
        id: 'set_alert',
        title: '알람설정',
        translate: 'NAV.SPECIAL.SET_ALERT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/specials/management/alert'
      },
      {
        id: 'check_notice',
        title: '점검공지 관리',
        translate: 'NAV.SPECIAL.CHECK_NOTICE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/specials/management/check-notice'
      }
    ]
  },
  {
    id: 'support_management',
    title: '받치기 관리',
    translate: 'NAV.SUPPORT.TITLE',
    type: 'collapsable',
    children: [
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      },
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      }
    ]
  }
];
